<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>morphorobotx: FileManager Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">morphorobotx
   </div>
   <div id="projectbrief">morphorobotxsharedlibrary</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1.2 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Macros</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classFileManager-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">FileManager Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="FileManager_8hpp_source.html">FileManager.hpp</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for FileManager:</div>
<div class="dyncontent">
<div class="center"><img src="classFileManager__coll__graph.png" border="0" usemap="#FileManager_coll__map" alt="Collaboration graph"/></div>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8afd512c06be9daf140cc19d71f9b391"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFileManager.html#a8afd512c06be9daf140cc19d71f9b391">FileManager</a> ()</td></tr>
<tr class="memitem:abaed33b5b0c13b8a597db9335a1aacfa"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFileManager.html#abaed33b5b0c13b8a597db9335a1aacfa">~FileManager</a> ()</td></tr>
<tr class="memitem:a9fe95419e1b887dc5bb475946714ec94"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFileManager.html#a9fe95419e1b887dc5bb475946714ec94">setInParamsPath</a> (QString path)</td></tr>
<tr class="memitem:a46c452fc23ae0e71c2f5fe3e99afaadc"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFileManager.html#a46c452fc23ae0e71c2f5fe3e99afaadc">getInParamsPath</a> ()</td></tr>
<tr class="memitem:a6b5d8186c280a52969830db3aa89d460"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFileManager.html#a6b5d8186c280a52969830db3aa89d460">setCurrentSessionPath</a> (QString path)</td></tr>
<tr class="memitem:aae5650b5a65d4b849b0baaeeeb03e0cb"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFileManager.html#aae5650b5a65d4b849b0baaeeeb03e0cb">getCurrentSessionPath</a> () const </td></tr>
<tr class="memitem:a600f12b61386d079f69f7897e40a2423"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFileManager.html#a600f12b61386d079f69f7897e40a2423">setExperimentPrefix</a> (QString prefix)</td></tr>
<tr class="memitem:aab945adb1c65b3cfe94a36f9c97ad3cd"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFileManager.html#aab945adb1c65b3cfe94a36f9c97ad3cd">getOutputDataPath</a> () const </td></tr>
<tr class="memitem:a680f33430c4c16c272899b822c66d306"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFileManager.html#a680f33430c4c16c272899b822c66d306">getOutParamsPath</a> () const </td></tr>
<tr class="memitem:a10b093c38ffeeee2da54a22234856ad2"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFileManager.html#a10b093c38ffeeee2da54a22234856ad2">getExperimentDirAbsolute</a> () const </td></tr>
<tr class="memitem:a5089ace85f5f2952583571741fb20ffe"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFileManager.html#a5089ace85f5f2952583571741fb20ffe">readParameters</a> (<a class="el" href="classParms.html">Parms</a> par)</td></tr>
<tr class="memitem:ad5ac8b0193b2ab342c1dd9e331f6ca14"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFileManager.html#ad5ac8b0193b2ab342c1dd9e331f6ca14">prepareNewDirectory</a> ()</td></tr>
<tr class="memitem:a303addc19c98464e41108c9233ae9152"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFileManager.html#a303addc19c98464e41108c9233ae9152">isValid</a> ()</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:aea0016bb5b4b03b328fad7e91d609fe9"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFileManager.html#aea0016bb5b4b03b328fad7e91d609fe9">makeDir</a> (QString path)</td></tr>
<tr class="memitem:ae30932726a6c59ecc8c037fe6d5d6b8d"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFileManager.html#ae30932726a6c59ecc8c037fe6d5d6b8d">getFirstAvailableExperimentPath</a> ()</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:aa4e5ef9ceccddcf40ca56c9353559b60"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFileManager.html#aa4e5ef9ceccddcf40ca56c9353559b60">inParamsPath</a></td></tr>
<tr class="memitem:a4779a3f5c97a218de4500cfc2216bdad"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFileManager.html#a4779a3f5c97a218de4500cfc2216bdad">currentSessionPath</a></td></tr>
<tr class="memitem:adda2841da6f4b79b9d5f5b240ca2d679"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFileManager.html#adda2841da6f4b79b9d5f5b240ca2d679">experimentPrefix</a></td></tr>
<tr class="memitem:aca000b2c2e30d0e0aa243a5fe3fe2aad"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFileManager.html#aca000b2c2e30d0e0aa243a5fe3fe2aad">currentExperimentDirPathAbsolute</a></td></tr>
<tr class="memitem:a5944a885735e17e790569ffa32248d77"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFileManager.html#a5944a885735e17e790569ffa32248d77">isInitialized</a></td></tr>
</table>
<h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a8afd512c06be9daf140cc19d71f9b391"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">FileManager::FileManager </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="abaed33b5b0c13b8a597db9335a1aacfa"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">FileManager::~FileManager </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2>Member Function Documentation</h2>
<a class="anchor" id="aae5650b5a65d4b849b0baaeeeb03e0cb"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString FileManager::getCurrentSessionPath </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classFileManager_aae5650b5a65d4b849b0baaeeeb03e0cb_icgraph.png" border="0" usemap="#classFileManager_aae5650b5a65d4b849b0baaeeeb03e0cb_icgraph" alt=""/></div>
<map name="classFileManager_aae5650b5a65d4b849b0baaeeeb03e0cb_icgraph" id="classFileManager_aae5650b5a65d4b849b0baaeeeb03e0cb_icgraph">
<area shape="rect" id="node3" href="classExperiment.html#a2666b3fed68eef734107a0251ce405ce" title="Experiment::Initialize" alt="" coords="291,5,435,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a10b093c38ffeeee2da54a22234856ad2"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString FileManager::getExperimentDirAbsolute </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classFileManager_a10b093c38ffeeee2da54a22234856ad2_icgraph.png" border="0" usemap="#classFileManager_a10b093c38ffeeee2da54a22234856ad2_icgraph" alt=""/></div>
<map name="classFileManager_a10b093c38ffeeee2da54a22234856ad2_icgraph" id="classFileManager_a10b093c38ffeeee2da54a22234856ad2_icgraph">
<area shape="rect" id="node3" href="classExperiment.html#a2666b3fed68eef734107a0251ce405ce" title="Experiment::Initialize" alt="" coords="259,5,403,35"/><area shape="rect" id="node5" href="classExperiment.html#a618e7c46eeff8b7929325faa200ef26d" title="Experiment::getExperiment\lDirAbsolute" alt="" coords="241,58,420,105"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ae30932726a6c59ecc8c037fe6d5d6b8d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString FileManager::getFirstAvailableExperimentPath </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classFileManager_ae30932726a6c59ecc8c037fe6d5d6b8d_icgraph.png" border="0" usemap="#classFileManager_ae30932726a6c59ecc8c037fe6d5d6b8d_icgraph" alt=""/></div>
<map name="classFileManager_ae30932726a6c59ecc8c037fe6d5d6b8d_icgraph" id="classFileManager_ae30932726a6c59ecc8c037fe6d5d6b8d_icgraph">
<area shape="rect" id="node3" href="classFileManager.html#ad5ac8b0193b2ab342c1dd9e331f6ca14" title="FileManager::prepareNewDirectory" alt="" coords="253,13,477,43"/><area shape="rect" id="node5" href="classExperiment.html#a2666b3fed68eef734107a0251ce405ce" title="Experiment::Initialize" alt="" coords="525,13,669,43"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a46c452fc23ae0e71c2f5fe3e99afaadc"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString FileManager::getInParamsPath </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a680f33430c4c16c272899b822c66d306"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString FileManager::getOutParamsPath </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classFileManager_a680f33430c4c16c272899b822c66d306_icgraph.png" border="0" usemap="#classFileManager_a680f33430c4c16c272899b822c66d306_icgraph" alt=""/></div>
<map name="classFileManager_a680f33430c4c16c272899b822c66d306_icgraph" id="classFileManager_a680f33430c4c16c272899b822c66d306_icgraph">
<area shape="rect" id="node3" href="classExperiment.html#a2666b3fed68eef734107a0251ce405ce" title="Experiment::Initialize" alt="" coords="267,5,411,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="aab945adb1c65b3cfe94a36f9c97ad3cd"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString FileManager::getOutputDataPath </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classFileManager_aab945adb1c65b3cfe94a36f9c97ad3cd_icgraph.png" border="0" usemap="#classFileManager_aab945adb1c65b3cfe94a36f9c97ad3cd_icgraph" alt=""/></div>
<map name="classFileManager_aab945adb1c65b3cfe94a36f9c97ad3cd_icgraph" id="classFileManager_aab945adb1c65b3cfe94a36f9c97ad3cd_icgraph">
<area shape="rect" id="node3" href="classExperiment.html#a2666b3fed68eef734107a0251ce405ce" title="Experiment::Initialize" alt="" coords="267,5,411,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a303addc19c98464e41108c9233ae9152"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool FileManager::isValid </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="aea0016bb5b4b03b328fad7e91d609fe9"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool FileManager::makeDir </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>path</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classFileManager_aea0016bb5b4b03b328fad7e91d609fe9_icgraph.png" border="0" usemap="#classFileManager_aea0016bb5b4b03b328fad7e91d609fe9_icgraph" alt=""/></div>
<map name="classFileManager_aea0016bb5b4b03b328fad7e91d609fe9_icgraph" id="classFileManager_aea0016bb5b4b03b328fad7e91d609fe9_icgraph">
<area shape="rect" id="node3" href="classFileManager.html#ad5ac8b0193b2ab342c1dd9e331f6ca14" title="FileManager::prepareNewDirectory" alt="" coords="205,5,429,35"/><area shape="rect" id="node5" href="classExperiment.html#a2666b3fed68eef734107a0251ce405ce" title="Experiment::Initialize" alt="" coords="477,5,621,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ad5ac8b0193b2ab342c1dd9e331f6ca14"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool FileManager::prepareNewDirectory </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classFileManager_ad5ac8b0193b2ab342c1dd9e331f6ca14_cgraph.png" border="0" usemap="#classFileManager_ad5ac8b0193b2ab342c1dd9e331f6ca14_cgraph" alt=""/></div>
<map name="classFileManager_ad5ac8b0193b2ab342c1dd9e331f6ca14_cgraph" id="classFileManager_ad5ac8b0193b2ab342c1dd9e331f6ca14_cgraph">
<area shape="rect" id="node3" href="classFileManager.html#ae30932726a6c59ecc8c037fe6d5d6b8d" title="FileManager::getFirstAvailable\lExperimentPath" alt="" coords="279,5,476,51"/><area shape="rect" id="node5" href="classFileManager.html#aea0016bb5b4b03b328fad7e91d609fe9" title="FileManager::makeDir" alt="" coords="303,75,452,104"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classFileManager_ad5ac8b0193b2ab342c1dd9e331f6ca14_icgraph.png" border="0" usemap="#classFileManager_ad5ac8b0193b2ab342c1dd9e331f6ca14_icgraph" alt=""/></div>
<map name="classFileManager_ad5ac8b0193b2ab342c1dd9e331f6ca14_icgraph" id="classFileManager_ad5ac8b0193b2ab342c1dd9e331f6ca14_icgraph">
<area shape="rect" id="node3" href="classExperiment.html#a2666b3fed68eef734107a0251ce405ce" title="Experiment::Initialize" alt="" coords="277,5,421,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a5089ace85f5f2952583571741fb20ffe"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool FileManager::readParameters </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classParms.html">Parms</a>&#160;</td>
          <td class="paramname"><em>par</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classFileManager_a5089ace85f5f2952583571741fb20ffe_icgraph.png" border="0" usemap="#classFileManager_a5089ace85f5f2952583571741fb20ffe_icgraph" alt=""/></div>
<map name="classFileManager_a5089ace85f5f2952583571741fb20ffe_icgraph" id="classFileManager_a5089ace85f5f2952583571741fb20ffe_icgraph">
<area shape="rect" id="node3" href="classExperiment.html#a2666b3fed68eef734107a0251ce405ce" title="Experiment::Initialize" alt="" coords="248,5,392,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a6b5d8186c280a52969830db3aa89d460"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void FileManager::setCurrentSessionPath </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>path</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a600f12b61386d079f69f7897e40a2423"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void FileManager::setExperimentPrefix </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>prefix</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a9fe95419e1b887dc5bb475946714ec94"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void FileManager::setInParamsPath </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>path</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2>Member Data Documentation</h2>
<a class="anchor" id="aca000b2c2e30d0e0aa243a5fe3fe2aad"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString FileManager::currentExperimentDirPathAbsolute</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a4779a3f5c97a218de4500cfc2216bdad"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString FileManager::currentSessionPath</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="adda2841da6f4b79b9d5f5b240ca2d679"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString FileManager::experimentPrefix</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="aa4e5ef9ceccddcf40ca56c9353559b60"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString FileManager::inParamsPath</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a5944a885735e17e790569ffa32248d77"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool FileManager::isInitialized</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="FileManager_8hpp_source.html">FileManager.hpp</a></li>
<li><a class="el" href="FileManager_8cpp.html">FileManager.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Feb 26 2013 17:54:10 for morphorobotx by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1.2
</small></address>
</body>
</html>
